> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Remitter

> Delete a remitter by ID



## OpenAPI

````yaml delete /v1/remitters/{remitter_id}
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/remitters/{remitter_id}:
    delete:
      summary: Delete remitter
      description: Delete remitter.
      operationId: delete-remitter
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: remitter_id
          in: path
          description: Remitter id
          schema:
            type: string
            format: uuid
          example: 9b294222-3a53-427f-9393-95dc6d63ee6c
          required: true
      responses:
        '204':
          description: '204'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 9f0092ca-4b7d-4e33-b503-9dd27b0807ba
                    status: pending
                    entity_type: individual
                    full_name: Hilda Ferry
                    id_number: A1748248115
                    id_type: national_id
                    date_of_birth: '1990-01-01'
                    place_of_birth: Singapore
                    nationality: sg
                    contact_number: '+6591234567'
                    email: test5@gmail.com
                    address:
                      street_address: 123 Orchard Rd
                      city: Singapore
                      state: Singapore
                      postal_code: '238888'
                      country: sg
                    company_name: Abernathy Inc
                    created_by:
                      id: 98566f58-1c76-4b8b-8f75-d20bba2bc7f8
                      display_name: TestingSG
                      first_name: QA
                      last_name: SG
                    created_at: '2025-05-26T16:28:35+08:00'
                    updated_at: '2025-05-26T16:28:35+08:00'
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: >-
                      No query results for model [App\Business\Remitter]
                      9f0092ca-4b7d-4e33-b503-9dd27b0807ba
      deprecated: false

````